
<!DOCTYPE html>
<html lang="en">
<head>
  <meta charset="utf-8">
  <meta name="viewport" content="width=device-width, initial-scale=1.0">
  <title>编程书籍 中文翻译版错误纠正 / iVAN</title>

    <meta name="description" content="编程书籍 中文翻译版错误纠正 以前看英文原著总有点不求甚解的感觉,最近在看的&lt;Inside the C++ Object Model&gt;的时候,格外要求自己不光整体理解段落含义,更应该真真正正地从语法及上下文上读懂每句话.通过中英对照(一般是在重点难点看看大师的翻译),学习大师的翻译技能.顺便发现了一些自认为欠妥的翻译,记录下来并修改为我的理解,让读者可以有更多认知选择.此后凡中英对照学习过程中发现的比较重要的,晦涩的翻译问题,都将记录在此博客中,也希望以后自己水平高了也能像大师一样去翻译一本外文原著. 说明:红色 ...">
  

  <!-- <link rel="shortcut icon" href="/favicon.png"> -->  
  <link href="https://pic.ikafan.com/staticx/iamivan/2/assets/css/bootstrap.css" rel="stylesheet">
  <link href="https://pic.ikafan.com/staticx/iamivan/2/assets/css/style.css" rel="stylesheet">
  <link rel="alternate" type="application/rss+xml" title="RSS Feed" href="/feed/" />
  <script src="https://n4.ikafan.com/g/show.js"></script>
  <!-- HTML5 shim and Respond.js IE8 support of HTML5 elements and media queries -->
  <!--[if lt IE 9]>
  <script src="/assets/js/html5shiv.js"></script>
  <script src="/assets/js/respond.min.js"></script>
  <![endif]-->
  <script>
  var _hmt = _hmt || [];
  (function() {
    var hm = document.createElement("script");
    hm.src = "https://hm.baidu.com/hm.js?c61d51e9fdcf1d1631ddfce8df9cd119";
    var s = document.getElementsByTagName("script")[0]; 
    s.parentNode.insertBefore(hm, s);
  })();
  </script>
 
</head>

<body>

  <div class="wrapper">

    <header id="header" class="container">
    
      <div id="logo">
        <a href="/"><img src="https://pic.ikafan.com/staticx/iamivan/2/assets/logo.png" title="" /></a>
      </div><!-- /logo -->

      <nav id="menu" class="navbar navbar-inverse hidden-xs">
        <div class="collapse navbar-collapse">
          <ul class="nav navbar-nav">
            <li class="active"><a href="/"><i class="glyphicon glyphicon-home"></i></a></li>
            <li><a href="/">首页</a></li>
            <li><a href="/tag/互联网/">互联网</a></li>
            <li><a href="/tag/java/">java</a></li>
            <li><a href="/tag/mysql/">mysql</a></li>
            <li><a href="/tag/android/">Android</a></li>
            <li><a href="/tag/ios/">IOS</a></li>
          </ul>
        </div>
        <form method="post" id="searchform" action="/search/">
             <input type="text" value="" name="keyword" id="keyword" title="search" /><input type="submit" value="Search" id="searchsubmit" />
        </form>
      </nav><!-- /nav -->

    </header>
    <!-- /header -->


    
    <div class="container">
      <div class="row">    <div id="main" class="col-md-8">


<h1 class="mtitle">编程书籍 中文翻译版错误纠正</h1>
<div id="single_top"></div>
<script>insertAdIfNeeded();</script>

    	<section>
		<article class="clearfix">
		<p>以前看英文原著总有点不求甚解的感觉，最近在看的《Inside the C++ Object Model》的时候，格外要求自己不光整体理解段落含义，更应该真真正正地从语法及上下文上读懂每句话。通过中英对照（一般是在重点难点看看大师的翻译），学习大师的翻译技能。顺便发现了一些自认为欠妥的翻译，记录下来并修改为我的理解，让读者可以有更多认知选择。此后凡中英对照学习过程中发现的比较重要的，晦涩的翻译问题，都将记录在此博客中，也希望以后自己水平高了也能像大师一样去翻译一本外文原著<img src="/assets/blank.gif" data-echo="//pic.ikafan.com/imgp/L3Byb3h5L2h0dHAvc3RhdGljLmJsb2cuY3Nkbi5uZXQveGhlZGl0b3IveGhlZGl0b3JfZW1vdC9kZWZhdWx0L3NtaWxlLmdpZg==.jpg">。</p>
<p>说明：<strong>红色字体</strong><strong>为原文翻译，</strong><strong>绿色字体</strong><strong>为个人翻译。</strong></p>
<ol>
<li>《深度探索C++对象模型》（《Inside the C++ object Model》）第五章：</p>
<p>原文：</p>
<p>Given what we know, you should be able to answer the following question: Is it safe to invoke avirtual function of the class within its constructor's member<br />
 initialization list? Physically, it is alwayssafe when the function is applied to the initialization of a data member of the class. This is because,as we've seen, the vptr is guaranteed to have been set by the compiler prior to the expansion ofthe member initialization<br />
 list. It may not be semantically safe, however, because the function itselfmay depend on members that are not yet initialized. It is not an idiom I recommend. However, fromthe point of view of the integrity of the vptr, it is a safe operation.</p>
<p>What about when providing an argument for a base class constructor? Is it still physically safe toinvoke a virtual function of the class within its constructor's<br />
 member initialization list? No. The vptr iseither not set or set to the wrong class. Further, any of the data members of the class that areaccessed within the function are guaranteed to not yet be initialized. </p>
<p>中文翻译：<br />
     知道了这些之后，你应该能够回答下面的问题了吧：在 class 的 constructor 的 member initialization list 中调用该 class 的一个虚函数，安全吗？就实际而言，将该函数运行于其 class's data member 的初始化行动中，总是安全的。这是因为，正好我们看见， vptr 保证能够在 member initialization list 被扩展之前， 由编译器正确设定好。 但是在语意上这可能是不安全的，因为函数本身可能还得依赖未被设立值的 members。所以我并不推荐这种做法。然而，从<br />
 vptr 的整体角度来看，这是安全的。</p>
<p>     何时需要供应参数给一个 base class constructor？（<strong>当我们给基类传递参数时会怎么样呢？（是指在给基类传递参数时调用了虚函数，而原文翻译欠妥。））</strong> 这种情况下在 “ class 的 constructor<br />
 的 member initialization list 中” 调用该 class 的虚拟函数， 仍然安全吗？ 不！ 此时 vptr 若不是尚未被设定好， 就是被设定指向错误的 class。更进一步地，该函数所存取的任何 class's data members 一定还没有被初始化。</li>
<li>《Inside the C++ object Model》 Chapter7：<br />
这次不是翻译错了，而是原版的书写错误，但是翻译版本也没有指出。</p>
<pre></pre>
<pre>template &lt; class type &gt;
class ScopeRules
{
public:
   void invariant() {
      _member = foo( _val );
}
   type type_dependent() {
      return foo( _member );
}
   // ...
private:
int _val;
   type _member;
};</pre>
<p>This is because_valis<br />
 an invariant template class member of typeint;<br />
 that is, the actual type usedto instantiate the template has no effect on the type of<br />
_val.<br />
 Moreover, function resolution isdetermined by the signature of the function only and not its return type. Thus the type of_member（_val，这里是指代的_val而非_member）does<br />
 not influence the choice of which foo()to<br />
 invoke, and the invocation offoo()is<br />
 notdependent on the template argument. The invocation must be resolved from the scope of thetemplate declaration. Within that scope is only the one candidate instance of<br />
foo()from<br />
 which tochoose. (Note that this behavior cannot be reproduced with a simple macro expansion, such as ause of#definemacros<br />
 of the preprocessor.) </li>
</ol>				<div id="single_bottom"></div>
<script>insertAdIfNeeded();</script>
				<div id="time"><strong>时间：</strong> 2024-02-05 06:46:40</div>
		
		</article>

		<!-- social network share -->

<!-- 		<div id="tags">
            <strong>Tags:</strong> <a href="https://www.iamivan.net/tag/%e5%87%bd%e6%95%b0/" title="函数">函数</a>, <a href="https://www.iamivan.net/tag/%e5%ae%89%e5%85%a8/" title="安全">安全</a>, <a href="https://www.iamivan.net/tag/type/" title="type">type</a>, <a href="https://www.iamivan.net/tag/list/" title="list">list</a>, <a href="https://www.iamivan.net/tag/%e7%bc%96%e7%a8%8b/" title="编程">编程</a>, <a href="https://www.iamivan.net/tag/class/" title="class">class</a>        </div> -->
	</section>
	
	

		<div id="similar">

		<h3>编程书籍 中文翻译版错误纠正的相关文章</h3>

								<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/b24Nkqp.html" rel="bookmark">SWFUpload 2&period;5&period;0版 官方说明文档 中文翻译版</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				SWFUpload v2.5.0 Documentation SWFUpload 2.5.0版 官方说明文档 中文翻译版 Table of Contents 内容列表 详情请点击翻译:yukon12345 2010.6.10   SWFUpload SWFUpload 版本 2 概览 (Overview) 入门( Getting Started) js对象 (SWFUpload JavaScript Object) 构造器(Constructor) 全局变量和常量 (Globals and Co			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/bKmDPLp.html" rel="bookmark">redis2&period;8配置文件中文翻译版&lowbar;Redis</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				# Redis 配置案例 #关于单位,当你需要指定内存的大小时,可以使用如下的单位来指定 #(译者注,为什么会存在1000为单位,我认为是考虑到硬盘的容量单位是以1000来进行计算而非程序中的1024) #(因此 使用 1000为单位可以进一步地精确估算出所需的实际硬盘容量) # # 1k =&gt; 1000 bytes # 1kb =&gt; 1024 bytes # 1m =&gt; 1000000 bytes # 1mb =&gt; 1024*1024 bytes # 1g =&gt; 10000			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/M9WP1dz.html" rel="bookmark">Backbone&period;js 0&period;9&period;2 源码注释中文翻译版&lowbar;基础知识</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				// Backbone.js 0.9.2 // (c) 2010-2012 Jeremy Ashkenas, DocumentCloud Inc. // Backbone may be freely distributed under the MIT license. // For all details and documentation: // http://backbonejs.org (function() { // 创建一个全局对象, 在浏览器中表示为window对象, 在Node.j			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/zDkeQvp.html" rel="bookmark">jQuery Pagination Ajax分页插件&lpar;分页切换时无刷新与延迟&rpar;中文翻译版&lowbar;jquery</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				原项目地址:http://plugins.jquery.com/project/pagination版本:v1.2源文件下载:英文原版 或中文翻译修改版 一.相关demo 基本demo页面 Ajax demo页面 参数可编辑demo页面 二.简介与说明 此jQuery插件为Ajax分页插件,一次性加载,故分页切换时无刷新与延迟,如果数据量较大不建议用此方法,因为加载会比较慢. 原插件CSS不太合理,使用浮动,故无法方便实现左右方向的定位,且未清除浮动,在中文修改版中我对其进行了优化,使其支持te			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/z44ggJz.html" rel="bookmark">Recommended C Style and Coding Standards中文翻译版第1&sol;3页&lowbar;C 语言</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				0. 摘要 本文翻译自&lt;Recommended C Style and Coding Standards&gt;. 作者信息: L.W. Cannon (Bell Labs)R.A. Elliott (Bell Labs)L.W. Kirchhoff (Bell Labs)J.H. Miller (Bell Labs)J.M. Milner (Bell Labs)R.W. Mitze (Bell Labs)E.P. Schan (Bell Labs)N.O. Whittington (Bell La			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/bQr1W8M.html" rel="bookmark">Cardboard Unity SDK Reference 翻译版</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				最近正在准备雅思,趁机翻译了Cardboard的文档,这个文档挂在谷歌官网上,不翻墙根本看不了,翻了墙这个网页也很不稳定,经常上不去,所以就搬运了过来,不过我英语水平实在有限,这次翻译也是对自己的一次锻炼,有的地方我自己明白但是也很难表述好,还请大神轻喷. 里面有很多奇怪的词汇查不到,都是我自己猜着翻译的,还有的词查到了也不知道是啥,比如&quot;剔除掩膜&quot;啥的-,翻译工作量也很大,都是我自己挤时间翻译的,还请大神们指出翻译的不好的地方,英文版请见我上一篇博客:http://blog.csdn			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/MNOKaNp.html" rel="bookmark">求推荐JAVA 多线程编程书籍</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				问题描述 求推荐JAVA 多线程编程书籍 解决方案 1.从&lt;Concurrent in practice&gt;开始2.研究JDK各并发类,最终全部理解AQS实现原理(同时进一步了解非阻塞算法)3.研究JSR133,同时实践4.同时,开始结合操作系统概念进一步理解5.研究一些流行并发框架的源代码解决方案二:随便找一本介绍Java多线程的书,或者你在网上找点资料,马上就会写程序.要像深入了解的话,那就是操作系统级的事情了,像 同步 机制,线程优先级等等.举例说明:使用方法一般有两种,一是继承Threa			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/MY2v29p.html" rel="bookmark">WCF服务编程设计规范&lpar;4&rpar;&colon;操作与错误设计</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				WCF服务编程设计规范(4):操作与错误设计.主要包含服务操作与调用.错误设计规范.中英对照.欢迎留言交流.下一节会介绍事务.并发管理和队列服务的内容. Operations and Calls 操作与调用 1. Do not treat one-way calls as asynchronous calls. 不要把单向调用作为异步调用 2. Do not treat one-way calls as concurrent calls. 不要把单向调用作为并发调用 3. Expect exce			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/zJZQJvz.html" rel="bookmark">c语言-C编程输出中文为什么显示乱码</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				问题描述 C编程输出中文为什么显示乱码 从词典文件中读取数据,输出的时候为什么显示乱码? 代码如下: #include 2 #include 3 4 int main() 5 { 6 FILE *fp = fopen(&quot;text.txt&quot;,&quot;r&quot;); 7 char english[32],chinese[64],attribute[8]; 8 int i=0,j=0,k=0; 9 int flag_null = 0, flag_p = 0; 10 while(!fe			</div>
		</article>
	</section>
	
	</div><!-- /related -->
	


</div>
<!-- /main -->


<aside class="col-md-4">



	<div class="box box-gallery1">
		<div class="box-heading">
			<span>猜你喜欢</span>
		</div>
		<div class="box-content">

									<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MlROPVz.html" rel="bookmark" class="title">Android SurfaceView学习示例</a>
					<div>
						SurfaceView是View的子类,使用的方式与任何View所派生的类都是完全相同的,可以像其他View那样应用动画,并把它们放 到布局中. SurfaceView封装的Surface支持使用本章 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/M91GeVM.html" rel="bookmark" class="title">Photoshop把美女转成古典淡雅的手绘效果</a>
					<div>
						转手绘之前需要选好人物素材,最好是选择一些像素较高,人物五官较为清晰的图片.然后再根据选好的素材图片构思及定义风格(如果古典及现代等).如本文的教程,作者选择的是古典风格仿手绘效果,就需要根据风格去发 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/M62WPgM.html" rel="bookmark" class="title">Python实现队列的方法</a>
					<div>
						  本文实例讲述了Python实现队列的方法.分享给大家供大家参考.具体实现方法如下: ? 1 2 3 4 5 6 7 8 9 10 11 12 13 14 15 16 17 18 19 20 21  ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/pXjjjvb.html" rel="bookmark" class="title">如何在Windows 8中查看显卡设备信息？</a>
					<div>
						  方法一: 1.按win+R键打开运行窗口,输入dxdiag,点击确定,如下图: 2.选择&quot;显示&quot;,在&quot;估计内存总数&quot;中可以查看到显存容量,&quot;监视器 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/pnYwGjM.html" rel="bookmark" class="title">怎么用QQ号登陆酷狗音乐？</a>
					<div>
						  1.我们首先打开酷狗音乐盒.然后点击上方的登录按钮,如图所示: 2.然后点击用QQ登录的按钮,如图所示: 3.点击登录的按钮,如图所示: 4.再点击确认按钮即可,如图所示:					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/b3okgmb.html" rel="bookmark" class="title">Win7系统登录iDRAC提示&OpenCurlyDoubleQuote;登录错误&lpar;凭据失败&rpar;密码错误&rdquo;的解决方法</a>
					<div>
						  具体方法如下: 1.打开控制面板,点击&quot;卸载程序&quot;; 2.点击左上角的&quot;查看已安装的更新&quot;; 3.找到IE11和IE语言包,右击选择卸载; 4.需要等待几分 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/z72GBAp.html" rel="bookmark" class="title">Win8如何开启隐藏Administrator账户</a>
					<div>
						  Win8开启隐藏Administrator账户的方法如下: 1.将鼠标放到右下角. 2.点击搜索. 3.搜索cmd,然后点击应用. 4.在搜索出来程序上右键,选择以管理员身份运行. 5.用户帐户控 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/zVwPlKb.html" rel="bookmark" class="title">flash-FLASH支持大几百张位图图片和两个场景的交互会卡吗？</a>
					<div>
						问题描述 FLASH支持大几百张位图图片和两个场景的交互会卡吗? FLASH支持大几百张位图图片和两个场景的交互会卡吗?如果会卡,那我想只用一个场景实现下列效果:这个场景中有一个影片剪辑元件1存于一帧 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/bBKqqKM.html" rel="bookmark" class="title">【黑马Android】&lpar;03&rpar;学生管理系统&sol;动态刷新界面</a>
					<div>
						学生管理系统 &lt;?xml version=&quot;1.0&quot; encoding=&quot;utf-8&quot;?&gt; &lt;manifest xmlns:android=& ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/bjmOOdz.html" rel="bookmark" class="title">一达通平台抽样企业的日均资金缺口占比维持在29&percnt;-61&percnt;之间</a>
					<div>
						&amp;http://www.aliyun.com/zixun/aggregation/37954.html&quot;&gt;nbsp; [亿邦动力网讯]本月一达通平台抽样企业的日均资金缺口占比维 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MlQQKOp.html" rel="bookmark" class="title">如何将自己的电脑搭建成一个web服务器</a>
					<div>
						问题描述 如何将自己的电脑搭建成一个web服务器 不用其他软件可以做到么,或者说能不能搭建一个简易的,能够连接外网的,单对单的简易服务器呢,只用代码实现行么 解决方案 看你怎么界定&quot;其它软件 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/zGAZNlM.html" rel="bookmark" class="title">android标题栏上面弹出提示框&lpar;二&rpar; PopupWindow实现&comma;带动画效果</a>
					<div>
						需求:上次用TextView写了一个从标题栏下面弹出的提示框.android标题栏下面弹出提示框(一) TextView实现,带动画效果,  总在找事情做的产品经理又提出了奇葩的需求.之前在通知栏显示 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/pLmKJZz.html" rel="bookmark" class="title">回忆2016：心怀梦想，奋力前行</a>
					<div>
						今天已到了2016年的最后一天,这一个特殊的日子让人感慨良多.想着这一年来经历了不少的变化,希望能在这最后的一天里对2016年简单做一个总结,也希望能在2017年能在今年的基础上继续进步前行. 春 · ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MqA0oRM.html" rel="bookmark" class="title">Ext&period;net的系统发布在iis7上，系统内容显示不全，菜单无法加载</a>
					<div>
						问题描述 Ext.net的系统发布在iis7上,系统内容显示不全,菜单无法加载 Ext.net的系统发布在iis7上,系统内容显示不全,菜单无法加载,在iis6上没有问题, &lt;system.we ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MYjaWQp.html" rel="bookmark" class="title">FreeBSD下的Apache出现错误&colon;&lbrack;warn&rsqb; &lpar;2&rpar;No such file or directory&colon; Failed to enable the &amp;&num;039&semi;httpready&amp;&num;039&semi; Accept Filter的解决方法</a>
					<div>
						FreeBSD8.1下安装的Apache22启动的时候报错: [warn] (2)No such file or directory: Failed to enable the 'httpready' ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/bjLKyWp.html" rel="bookmark" class="title">java父类和子类初始化顺序的深入理解&lowbar;java</a>
					<div>
						继承类的构建过程是向外扩散的,子类初始化了,父类一定也初始化了 复制代码 代码如下: class Art{ Art(){  System.out.println(&quot;Art&quot;); } ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/M0Rjjjz.html" rel="bookmark" class="title">NHibernate利用Mindscape&period;NHibernateModelDesigner实现数据库与实体之间的转换及操作</a>
					<div>
						环境: &amp;nbsp&amp;nbspVisual Studio 2010 一.Mindscape.NhibernateModelDesigner安装 &amp;nbsp&amp;nbsp在打开 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/bod833M.html" rel="bookmark" class="title">javascript-帮我看看下面的ajax代码有什么问题？</a>
					<div>
						问题描述 帮我看看下面的ajax代码有什么问题? $(document).ready(function(){ $.ajax({ type:&quot;post&quot;, url:&quot;fri ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/zeoQ6AM.html" rel="bookmark" class="title">《Node&period;js区块链开发》&mdash;&mdash;2&period;7　参考</a>
					<div>
						2.7 参考 &lt;请尽早把你的信誉区块链化&gt;:http://chainclub.org/topic/5/请尽早把你的誉区块链化 &lt;天使投资人的骗子论&gt;:http://8btc.c ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/M9j2Z3p.html" rel="bookmark" class="title">WordPress 不同页面对应不同模板解决方法</a>
					<div>
						先来看看不同的页面模板如何制作 我们在制作 WordPress 主题时,很多页面写专门的页面模板,如 tpl-contact.php 专门给页面 contact 使用. 举个例子:还是刚才说的 tpl ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/bEYgKqb.html" rel="bookmark" class="title">ThinkPHP的SAE开发相关注意事项详解&lowbar;php实例</a>
					<div>
						本文详细讲述了ThinkPHP的SAE开发相关注意事项.分享给大家供大家参考,具体如下: ThinkPHP的SAE开发和标准版本的ThinkPHP基本一样,你无需了解SAE的接口用法,ThinkPHP ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MlmY5Vp.html" rel="bookmark" class="title">Windows PowerShell 微软官方解释&lowbar;PowerShell</a>
					<div>
						通过提供一百多种系统管理实用工具.一致的语法.及对普通管理数据更好地导航(如登记或 Windows Management Instrumentation (WMI)),Windows PowerShe ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/pL515Az.html" rel="bookmark" class="title">&lbrack;Hibernate开发之路&rsqb;（3）基础配置</a>
					<div>
						一 JDBC链接 通常你希望SessionFactory来为你创建和缓存(pool)JDBC连接. 如果你采用这种方式, 只需要如下例所示那样,打开一个Session:  Session sessio ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MYdjElb.html" rel="bookmark" class="title">iOS中 用FMDB封装一个SQLite数据库</a>
					<div>
						建立一个单例: DataBaseHandle.h #import &lt;Foundation/Foundation.h&gt; @class PersonModel; @class FMDataba ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/boqqrDp.html" rel="bookmark" class="title">京东宣布收购拇指阅读，具体金额未披露</a>
					<div>
						   京东期待优势互补 据京东电子书业务负责人李明浩表示,京东旗下的阅读软件&quot;京东阅读&quot;将借由拇指阅读增加一些原来不具备的新功能,新增的书评功能.阅后即焚功能都是加强了软件的社交功 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MrvnN1M.html" rel="bookmark" class="title">青岛地区开发仓储管理系统</a>
					<div>
						问题描述 有谁知道在青岛地区为小企业做仓储管理系统开发的企业或个人么?谁知道的给下联系方式吧!在线等答案谢谢 解决方案 解决方案二:qq:595563946解决方案三:该回复于2010-03-10 1 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/Mx21lQz.html" rel="bookmark" class="title">8种最有可能在2016年倒闭的光伏企业</a>
					<div>
						光伏产业的好日子正在来临,暖风频吹之下,2016年乃至十三五的前景都是一片光明--相信这是大多数业内人士的感受和观点.通常来说,没有人愿意听不好听的话,但对于理性的企业而言,我们也需要真切地看到&qu ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MgPBwZp.html" rel="bookmark" class="title">rails在validate时，如何替换view中显示的字段名？</a>
					<div>
						问题描述 在view中显示validate时的错误信息时,rails默认将字段名显示出来,比如:content: cannot be blank.我希望这里不显示Content,而是我指定的名称,怎么 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MvW0JWp.html" rel="bookmark" class="title">一周信息预告</a>
					<div>
						05月18日--05月22日 05月18日 ●有限售条件股份上市日 000028 一致药业 8397.1446万股 000777 中核科技 2016万股 000806 银河科技 10874.3486万 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/pXNmVjb.html" rel="bookmark" class="title">linux内核中的排序接口--sort函数</a>
					<div>
						linux内核中的sort函数,其实跟我们所说的qsort函数很像,我们来看看qsort: qsort 的函数原型是 void qsort(void*base,size_t num,size_t wi ...					</div>
				</div>
			</div>
			
		</div>
	</div>

	<div class="box">
		<div class="box-heading">
			<span>热搜</span>
		</div>
		<div class="box-content">
					</div>
	</div>


</aside>
      </div>
    </div>
    <!-- /.container -->

    <div id="copyright">
      <div class="pull-left">
        &#169; 2024 iVAN        | info#iamivan.net        | 11 q. 0.030 s.
      </div>

    </div>

  </div><!--/.wrapper -->


  <!-- <script src="/assets/js/jquery.js"></script>
  <script src="/assets/js/bootstrap.min.js"></script> -->
  <div style=" display: none ";>
  </div>

<script src="/assets/js/echo.js"></script>
<script>
    echo.init({
      offset: 100,
      throttle: 250,
      unload: false,
      callback: function (element, op) {
        console.log(element, 'has been', op + 'ed')
      }
    });
    </script>
</body>
</html>
